[前][次][番号順一覧][スレッド一覧]

ruby-changes:3202

From: ko1@a...
Date: 25 Dec 2007 20:25:07 +0900
Subject: [ruby-changes:3202] nobu - Ruby:r14695 (trunk): * tool/make-snapshot: argument check, and cleanup exported directory.

nobu	2007-12-25 20:24:50 +0900 (Tue, 25 Dec 2007)

  New Revision: 14695

  Modified files:
    trunk/ChangeLog
    trunk/tool/make-snapshot

  Log:
    * tool/make-snapshot: argument check, and cleanup exported directory.


  http://svn.ruby-lang.org/cgi-bin/viewvc.cgi/trunk/ChangeLog?r1=14695&r2=14694
  http://svn.ruby-lang.org/cgi-bin/viewvc.cgi/trunk/tool/make-snapshot?r1=14695&r2=14694

Index: ChangeLog
===================================================================
--- ChangeLog	(revision 14694)
+++ ChangeLog	(revision 14695)
@@ -1,3 +1,7 @@
+Tue Dec 25 20:24:48 2007  Nobuyoshi Nakada  <nobu@r...>
+
+	* tool/make-snapshot: argument check, and cleanup exported directory.
+
 Tue Dec 25 20:07:13 2007  WATANABE Hirofumi  <eban@r...>
 
 	* tool/make-snapshot: more portable.
Index: tool/make-snapshot
===================================================================
--- tool/make-snapshot	(revision 14694)
+++ tool/make-snapshot	(revision 14695)
@@ -6,6 +6,10 @@
 : ${VPATH=include/ruby} ${YACC=bison} ${BASERUBY=ruby} ${RUBY=ruby} ${MV=mv}
 export VPATH YACC BASERUBY RUBY MV
 
+if [ ! "$1" ]; then
+    echo usage: `basename $0` new-directory-to-save 1>&2
+    exit 1
+fi
 [ -d "$1" ] || mkdir "$1" || exit 1
 dest=`cd "$1"; pwd`
 
@@ -29,3 +33,4 @@
 	echo " failed"
     fi
 done
+exec rm -fr $v

--
ML: ruby-changes@q...
Info: http://www.atdot.net/~ko1/quickml

[前][次][番号順一覧][スレッド一覧]